package com.lovecoding.day11.abs01;

//抽象类
public abstract class Animal {
    //abstract final 不能同时使用 修饰类和方法
    public static final int age = 10; //常量

    static {
        System.out.println("123");
    }

    {
        System.out.println("123");
    }

    //属性
    String name;

    //抽象方法
    //有抽象方法的类必须是抽象类
    //子类实现
    public abstract void eat();

    //可以有构造方法
    public Animal() {
    }

    //给属性赋值 给子类
    public Animal(String name) {
        this.name = name;
    }
}
